import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { TotalListLoadInfo } from '../model/TotalList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _default: <T extends unknown>(__VLS_props: {
    list?: PaginatedList<T> | undefined;
    listKey?: string | undefined;
    appendType?: "MORE" | "INFINITE" | undefined;
    skeletonCount?: number | undefined;
    itemContainerClass?: string | undefined;
    skeletonContainerClass?: string | undefined;
    moreButtonContainerClass?: string | undefined;
} & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, __VLS_ctx?: Pick<{
    props: {
        list?: PaginatedList<T> | undefined;
        listKey?: string | undefined;
        appendType?: "MORE" | "INFINITE" | undefined;
        skeletonCount?: number | undefined;
        itemContainerClass?: string | undefined;
        skeletonContainerClass?: string | undefined;
        moreButtonContainerClass?: string | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: {
        empty?(_: {}): any;
        default?(_: {
            listItem: unknown;
        }): any;
        skeleton?(_: {
            key: number;
        }): any;
        more?(_: {}): any;
    };
    emit: {
        (e: 'listLoaded', loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType): void;
        (e: 'needMore', request: PaginatedListRequest, scrollType: ScrollType): void;
    };
}, "slots" | "attrs" | "emit"> | undefined, __VLS_setup?: Promise<{
    props: {
        list?: PaginatedList<T> | undefined;
        listKey?: string | undefined;
        appendType?: "MORE" | "INFINITE" | undefined;
        skeletonCount?: number | undefined;
        itemContainerClass?: string | undefined;
        skeletonContainerClass?: string | undefined;
        moreButtonContainerClass?: string | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: {
        empty?(_: {}): any;
        default?(_: {
            listItem: unknown;
        }): any;
        skeleton?(_: {
            key: number;
        }): any;
        more?(_: {}): any;
    };
    emit: {
        (e: 'listLoaded', loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType): void;
        (e: 'needMore', request: PaginatedListRequest, scrollType: ScrollType): void;
    };
}>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> & {
    __ctx?: {
        props: {
            list?: PaginatedList<T> | undefined;
            listKey?: string | undefined;
            appendType?: "MORE" | "INFINITE" | undefined;
            skeletonCount?: number | undefined;
            itemContainerClass?: string | undefined;
            skeletonContainerClass?: string | undefined;
            moreButtonContainerClass?: string | undefined;
        };
        expose(exposed: {}): void;
        attrs: any;
        slots: {
            empty?(_: {}): any;
            default?(_: {
                listItem: unknown;
            }): any;
            skeleton?(_: {
                key: number;
            }): any;
            more?(_: {}): any;
        };
        emit: {
            (e: 'listLoaded', loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType): void;
            (e: 'needMore', request: PaginatedListRequest, scrollType: ScrollType): void;
        };
    } | undefined;
};
export default _default;
