import { UiCarouselProps } from './UiCarouselModel';
type OptionParam = {
    active?: boolean;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    dots: {
        type: import("vue").PropType<boolean>;
    };
    vertical: {
        type: import("vue").PropType<boolean>;
    };
    perView: {
        type: import("vue").PropType<number | "auto">;
        default: number;
    };
    loop: {
        type: import("vue").PropType<boolean>;
    };
    center: {
        type: import("vue").PropType<boolean>;
    };
    gap: {
        type: import("vue").PropType<string>;
        default: string;
    };
    dragFree: {
        type: import("vue").PropType<boolean>;
    };
    slidesToScroll: {
        type: import("vue").PropType<number>;
    };
    autoplay: {
        type: import("vue").PropType<boolean>;
    };
    autoplayDelay: {
        type: import("vue").PropType<number>;
    };
    arrow: {
        type: import("vue").PropType<boolean>;
    };
    counter: {
        type: import("vue").PropType<boolean>;
    };
    startIndex: {
        type: import("vue").PropType<number>;
        default: number;
    };
    trimSnaps: {
        type: import("vue").PropType<boolean>;
    };
    breakpoints: {
        type: import("vue").PropType<{
            sm?: UiCarouselProps | undefined;
            md?: UiCarouselProps | undefined;
            lg?: UiCarouselProps | undefined;
            xl?: UiCarouselProps | undefined;
        }>;
    };
    detectScrollable: {
        type: import("vue").PropType<boolean>;
    };
    enableMouseDrag: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    autoHeight: {
        type: import("vue").PropType<boolean>;
    };
}, {
    slidesLength: import("vue").Ref<any>;
    currentIndex: import("vue").Ref<any>;
    autoplayStatus: import("vue").Ref<"stop" | "play" | undefined>;
    startAutoplay: () => void;
    stopAutoplay: () => void;
    scrollTo: (index: number, jump?: boolean | undefined) => void | undefined;
    next: () => void | undefined;
    prev: () => void | undefined;
    reInit: (optionParam?: OptionParam | undefined) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    move: (currentIndex: number, previousIndex: number) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    dots: {
        type: import("vue").PropType<boolean>;
    };
    vertical: {
        type: import("vue").PropType<boolean>;
    };
    perView: {
        type: import("vue").PropType<number | "auto">;
        default: number;
    };
    loop: {
        type: import("vue").PropType<boolean>;
    };
    center: {
        type: import("vue").PropType<boolean>;
    };
    gap: {
        type: import("vue").PropType<string>;
        default: string;
    };
    dragFree: {
        type: import("vue").PropType<boolean>;
    };
    slidesToScroll: {
        type: import("vue").PropType<number>;
    };
    autoplay: {
        type: import("vue").PropType<boolean>;
    };
    autoplayDelay: {
        type: import("vue").PropType<number>;
    };
    arrow: {
        type: import("vue").PropType<boolean>;
    };
    counter: {
        type: import("vue").PropType<boolean>;
    };
    startIndex: {
        type: import("vue").PropType<number>;
        default: number;
    };
    trimSnaps: {
        type: import("vue").PropType<boolean>;
    };
    breakpoints: {
        type: import("vue").PropType<{
            sm?: UiCarouselProps | undefined;
            md?: UiCarouselProps | undefined;
            lg?: UiCarouselProps | undefined;
            xl?: UiCarouselProps | undefined;
        }>;
    };
    detectScrollable: {
        type: import("vue").PropType<boolean>;
    };
    enableMouseDrag: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    autoHeight: {
        type: import("vue").PropType<boolean>;
    };
}>> & {
    onMove?: ((currentIndex: number, previousIndex: number) => any) | undefined;
}, {
    perView: number | "auto";
    gap: string;
    startIndex: number;
    enableMouseDrag: boolean;
}, {}>, {
    default?(_: {
        perView: number | "auto";
        gap: string;
    }): any;
    "prev-button"?(_: {
        prev: () => void | undefined;
        canScrollPrev: (() => boolean) | undefined;
    }): any;
    "next-button"?(_: {
        next: () => void | undefined;
        canScrollNext: (() => boolean) | undefined;
    }): any;
    dots?(_: {
        slidesLength: import("vue").Ref<any>;
        currentIndex: import("vue").Ref<any>;
        autoplayStatus: import("vue").Ref<"stop" | "play" | undefined>;
        startAutoplay: () => void;
        stopAutoplay: () => void;
        scrollTo: (index: number, jump?: boolean | undefined) => void | undefined;
        next: () => void | undefined;
        prev: () => void | undefined;
        reInit: (optionParam?: OptionParam | undefined) => void;
    }): any;
    counter?(_: {
        slidesLength: import("vue").Ref<any>;
        currentIndex: import("vue").Ref<any>;
        autoplayStatus: import("vue").Ref<"stop" | "play" | undefined>;
        startAutoplay: () => void;
        stopAutoplay: () => void;
        scrollTo: (index: number, jump?: boolean | undefined) => void | undefined;
        next: () => void | undefined;
        prev: () => void | undefined;
        reInit: (optionParam?: OptionParam | undefined) => void;
    }): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
